## uhd 4.9.0.0~rc1+ds1

=== debian/changelog ===
uhd (4.9.0.0~rc1+ds1-1) experimental; urgency=medium

  [ Jörg Hofrichter ]
  * update to UHD 4.9.0.0-rc1

  [ A. Maitland Bottoms ]
  * prepare Debian upload
  * Standards-Version 4.7.2 no changes
  * tested build with g++-15 worked (CLoses: #1098032)
  * tested build with boost1.88 worked (Closes: #1110542)
  * No PDF doc generated, still debugging PDF build failure.
  * Upload to experimental for new package uhd-rfnoc-dev and library sonames

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 19 Aug 2025 18:40:04 -0400
