## uhd 4.9.0.0~rc3+ds1

=== host/include/uhd/rfnoc/detail/CMakeLists.txt ===
#
# Copyright 2025 Ettus Research, a National Instruments Brand
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

UHD_INSTALL(FILES
    graph.hpp
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/uhd/rfnoc/detail
    COMPONENT headers
)
