=== debian/changelog ===
uhd (4.9.0.0~rc3+ds1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Allow binary builds without Doygen

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 31 Aug 2025 11:58:11 -0400
