=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,11 @@
 HAS_LIBDPDK_DEV=$(shell if [ -f /usr/include/dpdk/rte_version.h ] ; then echo "YES" ;  else echo "NO" ; fi)
 DEB_NEON_SIMD_OPTION=$(shell if [ $(DEB_BUILD_ARCH) = armhf ]; then echo "-DNEON_SIMD_ENABLE=OFF" ; else echo "" ; fi)
 DEB_UHD_PACKAGE_CONFIGURATION=$(shell echo "-DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_CXX_FLAGS_RELWITHDEBINFO=\"\" \
-			     -DENABLE_STATIC_LIBS=OFF -DENABLE_RFNOC_DEV=ON \
-			     -DENABLE_DOXYGEN=ON -DENABLE_MANUAL=ON -DENABLE_DOXYGEN_DOT=ON \
+			     -DENABLE_STATIC_LIBS=OFF -DENABLE_RFNOC_DEV=ON -DENABLE_MANUAL=ON  \
 			     -DUHD_VERSION=$(DEB_VERSION) -DENABLE_PYTHON_API=ON \
 			     -DPYTHON_EXECUTABLE:FILEPATH=/usr/bin/python3 \
 			     -DBOOST_PYTHON_COMPONENT=python$(py3default) \
-	                     -DPKG_LIB_DIR="/usr/libexec/uhd" -DDOXYGEN_HAVE_DOT=True \
-			     $(DEB_NEON_SIMD_OPTION)")
+	                     -DPKG_LIB_DIR="/usr/libexec/uhd" $(DEB_NEON_SIMD_OPTION)")
 
 ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
   export DEB_CXXFLAGS_MAINT_APPEND = -g1
@@ -23,13 +21,20 @@
 	dh $@ --sourcedirectory=host --with python3 --with numpy3 --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
-	dh_auto_configure $@ -- $(DEB_UHD_PACKAGE_CONFIGURATION)
+	dh_auto_configure $@ -- $(DEB_UHD_PACKAGE_CONFIGURATION) -DENABLE_DOXYGEN=ON -DENABLE_LATEX_DOCS=OFF \
+						-DENABLE_DOXYGEN_DOT=ON -DDOXYGEN_HAVE_DOT=True
 	if [ $(HAS_LIBDPDK_DEV) = YES ] ; then dh_auto_configure $@ --builddirectory=uhdplain -- \
 				$(DEB_UHD_PACKAGE_CONFIGURATION) -DENABLE_DOXYGEN=OFF -DENABLE_DPDK=OFF ; fi
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	dh_auto_build $@
 	if [ $(HAS_LIBDPDK_DEV) = YES ] ; then dh_auto_build $@ --builddirectory=uhdplain ; fi
+
+override_dh_auto_build-indep:
+	dh_auto_build $@
+
+override_dh_auto_test-indep:
+	echo "Not testing - docs only build"
 
 override_dh_auto_install:
 	- cp debian/uhd-host.limits debian/uhd-host/etc/security/limits.d/uhd.conf
@@ -57,7 +62,6 @@
 	chmod +x debian/*/usr/share/uhd/4.9.0/rfnoc/fpga/usrp3/export/x300/radio/setupenv.sh
 	chmod +x debian/*/usr/share/uhd/4.9.0/rfnoc/fpga/usrp3/lib/rfnoc/crossbar/synth/axis_ctrl_crossbar_nxn_top.tcl
 	chmod +x debian/*/usr/share/uhd/4.9.0/rfnoc/fpga/usrp3/lib/rfnoc/crossbar/synth/chdr_crossbar_nxn_top.tcl
-	chmod +x debian/*/usr/share/uhd/4.9.0/rfnoc/fpga/usrp3/lib/wb_spi/sim/rtl_sim/run/run_sim
 	chmod +x debian/*/usr/share/uhd/4.9.0/rfnoc/fpga/usrp3/tools/scripts/git-hash.sh
 	chmod +x debian/*/usr/share/uhd/4.9.0/rfnoc/fpga/usrp3/tools/scripts/launch_modelsim.sh
 	chmod +x debian/*/usr/share/uhd/4.9.0/rfnoc/fpga/usrp3/tools/scripts/launch_vcom.sh
