## uhd 4.9.0.0~rc4+ds1

=== debian/changelog ===
uhd (4.9.0.0~rc4+ds1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 03 Sep 2025 11:21:53 -0400
