=== host/tests/rfnoc_block_tests_on_target/requirements.txt ===
numpy>=1.26.4,<2.0.0
pytest
